diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChest.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChest.java
index b753a6136..c0d8200ef 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChest.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChest.java
@@ -50,13 +50,16 @@ public class BlockModelChest<T extends BlockLogic> extends BlockModelStandard<T>
         switch (dir) {
             case NORTH:
                 renderBlocks.uvRotateTop = 3;
+                renderBlocks.uvRotateBottom = 3;
                 break;
             case EAST:
                 renderBlocks.uvRotateTop = 2;
+                renderBlocks.uvRotateBottom = 1;
                 break;
 
             case WEST:
                 renderBlocks.uvRotateTop = 1;
+                renderBlocks.uvRotateBottom = 2;
                 break;
         }
 
@@ -72,7 +75,7 @@ public class BlockModelChest<T extends BlockLogic> extends BlockModelStandard<T>
         Side facing = BlockLogicChest.getDirectionFromMeta(meta).getSide();
         BlockLogicChest.Type type = BlockLogicChest.getTypeFromMeta(meta);
 
-        if(side == Side.TOP) {
+        if(side == Side.TOP || side == Side.BOTTOM) {
             if(type == BlockLogicChest.Type.RIGHT) {
                 return chestTopRight;
             }
@@ -83,10 +86,6 @@ public class BlockModelChest<T extends BlockLogic> extends BlockModelStandard<T>
             return chestTop;
         }
 
-        if(side == Side.BOTTOM) {
-            return chestTop;
-        }
-
         if(type == BlockLogicChest.Type.SINGLE) {
             if(side == facing) {
                 return chestFrontSingle;
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/RenderBlocks.java b/game/client/src/main/java/net/minecraft/client/render/block/model/RenderBlocks.java
index 14fea3262..73c7317a7 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/RenderBlocks.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/RenderBlocks.java
@@ -454,8 +454,8 @@ public final class RenderBlocks
         } else
         if(uvRotateBottom == 3)
         {
-            d3 = tex.getSubIconU(1 - bounds.maxX);
-            d4 = tex.getSubIconU(1 - bounds.minX);
+            d3 = tex.getSubIconU(1 - bounds.minX);
+            d4 = tex.getSubIconU(1 - bounds.maxX);
             d5 = tex.getSubIconV(1 - bounds.minZ);
             d6 = tex.getSubIconV(1 - bounds.maxZ);
             d7 = d4;
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java
index 648d7f637..c4cd9da6a 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java
@@ -83,7 +83,6 @@ public class TerrainGeneratorNether
                 avg += cache[i];
             }
             avg /= cache.length;
-            System.out.println("avg: " + avg);
         }
 
         WorldType type = world.getWorldType();
